// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UInterface.h"
#include "SCW_UObject.h"

class UInterface;

namespace Sourcify
{
	class SCW_UInterface : public SCW_UObject, public virtual ISCW_UInterface
	{
	public:
		SCW_UInterface(UInterface* InInterface);

		UInterface* ToUInterface() const;

		ISCW_UInterfacePtr ToUInterfacePtr() override;
		ISCW_UInterfaceConstPtr ToUInterfacePtr() const override;

	protected:
		UInterface* Interface;
	};
} // namespace Sourcify